- Main Page
- Namespaces
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# peoParaSGATransform< EOT > Class Template Reference

Inheritance diagram for peoParaSGATransform< EOT >:

List of all members.

## Public Member Functions
| peoParaSGATransform (eoQuadOp< EOT > &__cross, double __cross_rate, eoMonOp< EOT > &__mut, double __mut_rate)
void | operator() (eoPop< EOT > &__pop)
void | packData ()
void | unpackData ()
void | execute ()
void | packResult ()
void | unpackResult ()
void | notifySendingData ()
void | notifySendingAllResourceRequests ()
## Private Attributes
eoQuadOp< EOT > & | cross
double | cross_rate
eoMonOp< EOT > & | mut
double | mut_rate
unsigned | idx
eoPop< EOT > * | pop
EOT | father
EOT | mother
unsigned | num_term

## Detailed Description

### template<class EOT>
class peoParaSGATransform< EOT >

Definition at line 21 of file peoParaSGATransform.h.

The documentation for this class was generated from the following file:

- peoParaSGATransform.h